using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace Samples.Shared
{
    public class ExtendedMessage : Message
    {
        public IList<ExtendedMessage> RelatedMessages
        {
            get;
            set;
        }

        public List<int> Sizes
        {
            get
            {
                return new List<int>() { 1, 50, 100, 200, 300, 1000, 123 };
            }
        }

        public string IconUrl
        {
            get;
            set;
        }

        public string Link
        {
            get;
            set;
        }

        public string LinkName
        {
            get;
            set;
        }
    }
}
